## iptables 1.2.9-10

=== optimizations/DESCRIPTION ===
Optimizations pending for kernel inclusion

=== debian/changelog ===
iptables (1.2.9-10) unstable; urgency=low

  * Closes: #246037, added default logging level to man pages, requested
    by Max Vozeler. Thanks.
  * conslidated all man page patches to 003-man_pages.patch.
  * added 006-64_32.patch, CVS pull, Sparc64 and HPPA makefile clean up
    for 64/32-bit builds. Reported by Igor Genibel. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 15 Jun 2004 20:38:42 -0400

iptables (1.2.9-9) unstable; urgency=low

  * Closes: #248605, s390 FTBS, reported by Andreas Henriksson. Thanks.
    Removed extraneous patch from the s390 directory.

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 15 May 2004 08:07:12 -0400

iptables (1.2.9-8) unstable; urgency=low

  * Closes: #247056, hppa (and s390) FTBFS, reported by Lamont Jones.
    Thanks. Resynced local patches.

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  2 May 2004 22:26:03 -0400

iptables (1.2.9-7) unstable; urgency=low

  * Closes: #246554, debian/rules missing KERNEL_DIR for install target,
    reported by Paul Hampson. Thanks.
  * removed the debian/install kludge for the brain flub noted above
  * removed owner module support for version 2.4.19 and lower kernels
  * removed dead code from examples/oldinitscript and corrected logical 
    errors, some discovered by by Adam Heath. Thanks.
  * updated kernel source to 2.4.26

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  1 May 2004 07:25:19 -0400

iptables (1.2.9-6) unstable; urgency=low

  * updated iptable's description in debian/control
  * renamed local patches and updated descriptions in README
  * added 002-weird_character.patch to accept dashes in interface names.
    This problem has been reported numerous times over the years.
  * updated 001-spell_weird.patch to include libipt_physdev.c
  * altered prep.sh to check build/stamp/prep
  * fixed this changelog, which was doubled at some point
  * updated doc-base files

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 13 Mar 2004 13:33:33 -0500

iptables (1.2.9-5) unstable; urgency=low

  * added 005-atomic_t_silly_hack.patch for hppa and s390. Explicitly
    declare atomic_t typedef in ip_conntrack_icmp.h.  FTBFS reported by
    Lamont Jones. Thanks. (see: #232418)
  * updated to kernel 2.4.25 headers
  * removed failed ip6tables owner module detection

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 29 Feb 2004 09:24:44 -0500

iptables (1.2.9-4) unstable; urgency=low

  * added Suggests: iproute
  * updated package descriptions
  * removed iptables 1.2.9rc1 changelog
  * updated patch-o-matic to 20031219
  * updated kernel headers to 2.4.24
  * added patches/004-minor_buffer_overflows.patch

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 10 Feb 2004 20:08:55 -0500

iptables (1.2.9-3) unstable; urgency=low

  * removed include/libulog/. Reported by rv@eychenne.org. Thanks.
    (closes: #226740)
  * updated toplevel README
  * added linux kernel copyright info to debian/copyright

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Jan 2004 18:21:29 -0500

iptables (1.2.9-2) unstable; urgency=low

  * updated README.Debian
  * added ip6tables owner module detection
  * removed debian/iptables.prerm
  * added linux kenel source 2.4.23
  * removed linux kernel sources: 2.4.20 2.4.20 2.6.0-test9

 -- Laurence J. Lane <ljlane@debian.org>  Tue, 30 Dec 2003 14:55:40 -0500

iptables (1.2.9-1) unstable; urgency=low

  * new upstream release, 1.2.9 final
  * removed local physdev patch, corrected upstream
  * dropped p-o-m connbytes
  * updated ppp example scripts from Kiryanov Vasiliy. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  2 Nov 2003 20:53:31 -0500

iptables (1.2.9-0rc1+1) unstable; urgency=low

  * this is a test upload
  * new upstream release
  * removed local ROUTE patch, corrected upstream
  * added local physdev patch, see Bug#207954

 -- Laurence J. Lane <ljlane@debian.org>  Mon, 27 Oct 2003 16:17:11 -0500

iptables (1.2.8-8) unstable; urgency=low

  * corrected distro

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Oct 2003 14:32:49 -0400

iptables (1.2.8-7) unstable; urgency=low

  * corrected control file for priority and kernel versions, again

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Oct 2003 09:03:36 -0400

iptables (1.2.8-6) unstable; urgency=low

  * updated z_owner, thanks to Eddie and Godwin
  * changed Priority to important, Bug#206685

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 18 Oct 2003 16:18:39 -0400

iptables (1.2.8-5) unstable; urgency=low

  * updated z_owner patch to handle 2.6.0-X kernels
  * updated package description, sync'd kerenel versions

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 17 Oct 2003 13:17:37 -0400

iptables (1.2.8-4) unstable; urgency=low

  * added bzip2 build dependecy

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 23:41:05 -0400

iptables (1.2.8-3) unstable; urgency=low

  * added bzip2 build dependency

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 22:36:30 -0400

iptables (1.2.8-2) unstable; urgency=low

  * added ROUTE target corrections from Cedric de Launois
  * added reduced kernel source archives, netfilter only
  * removed extraneous "the" from iptables.8
  * removed kernel source build dependencies
  * changed all description kernel versions to 2.4.xx
  * rewrote prep.sh

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 22 Jun 2003 18:56:36 -0400

iptables (1.2.8-1) unstable; urgency=low

  * New upstream release
  * update to patch-o-matic-20030107
  * added Kiryanov Vasiliy's ppp example scripts
  * removed 000-iptables-1.2.7a-tcpmss.patch, corrected upstream

 -- Laurence J. Lane <ljlane@debian.org>  Fri, 30 May 2003 06:10:01 -0400

iptables (1.2.7-12) unstable; urgency=low

  * moved iptables-dev to section devel
  * removed owner module information from README.Debian
  * restored local lintian overrides

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 23 Mar 2003 04:22:56 -0500

iptables (1.2.7-11) unstable; urgency=low

  * added Goswin Brederlow's owner module detection patch


## iptables 1.2.9-10ubuntu0.1

=== Makefile ===
default:
	@cat README

prep:
	$(SHELL) prep.sh

clean:
	debian/rules clean

.PHONY: prep

=== debian/changelog ===
iptables (1.2.9-10ubuntu0.1) warty-security; urgency=low

  * SECURITY UPDATE: fix module loading 
  * Added patch patches/007-modprobe.patch: Zero out read buffer to properly
    get string termination. This fixes automatic module loading.
  * References:
    CAN-2004-0986

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 11 Feb 2005 11:02:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Unpack the source and apply patches with either of
# "make prep" or "debian/rules prep" in the top directory.

# Change the kernel source/header and iptables source
# versions in prep.sh in the top directory.

# Custom build tips: Modify and repack iptables source
# into upstream/. Account for patches/*, patch-o-matic,
# and install directives in */debian/iptables*.install.
# Alternatively, you can unpack and then modify sources
# in debian/build/, but take note that the clean target
# WILL definitely erase all of your work amd various 
# build tools call the clean target by default.

# source directory symlinks, see prep.sh
IPTABLES = iptables_profectio
KERNEL = kernel_profectio

BUILD_DIR := $(CURDIR)/debian/build
SRC_DIR := $(BUILD_DIR)/$(IPTABLES)
STAMP_DIR := $(BUILD_DIR)/stamp

MANDIR = MANDIR=/usr/share/man
BINDIR = BINDIR=/sbin
LIBDIR = LIBDIR=/lib
DESTDIR := DESTDIR=$(CURDIR)/debian/iptables
KERNEL_DIR := KERNEL_DIR=$(BUILD_DIR)/$(KERNEL)

BUILD_VARS := $(LIBDIR) $(KERNEL_DIR)
INSTALL_VARS := $(DESTDIR) $(MANDIR) $(LIBDIR) $(BINDIR) $(KERNEL_DIR)
BUILD_TARGETS = all ip6tables-save ip6tables-restore

prep: $(STAMP_DIR)/prep-stamp
$(STAMP_DIR)/prep-stamp:
	$(MAKE) prep
	touch $@

build: $(STAMP_DIR)/build-stamp
$(STAMP_DIR)/build-stamp: prep
	dh_testdir

	$(MAKE) -C $(SRC_DIR) $(BUILD_TARGETS) $(BUILD_VARS)

	cd $(SRC_DIR); ar rcs libiptables.a iptables.o
	cd $(SRC_DIR); ar rcs libip6tables.a ip6tables.o

	touch $@

clean:
	dh_testdir
	rm -rf $(BUILD_DIR)
	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) -C $(SRC_DIR) install $(INSTALL_VARS)
	rm -rf $(SRC_DIR)/include/libipulog
	install -m0644 -D $(CURDIR)/debian/iptables.lintian.override \
	$(CURDIR)/debian/iptables/usr/share/lintian/overrides/iptables

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps -X.so
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: prep build clean binary-indep binary-arch binary install

## iptables 1.2.11-8

=== debian/changelog ===
iptables (1.2.11-8) unstable; urgency=medium

  * fixed broken atomic_t_silly_hack.patch 

 -- Laurence J. Lane <ljlane@debian.org>  Sun,  7 Nov 2004 16:12:22 -0500

iptables (1.2.11-7) unstable; urgency=medium

  * oops, corrected prep.sh for arch specific patches again

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Nov 2004 22:46:20 -0500

iptables (1.2.11-6) unstable; urgency=medium

  * corrected prep.sh so arch specific patches are applied 

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Nov 2004 12:22:25 -0500

iptables (1.2.11-5) unstable; urgency=low

  * 1.2.11-3 never really existed, changelog entry removed 
  * restored missing all/###-man_pages.patch
  * Closes:#279285, Compile fails - declaration after code, reported and
    fixed by  Kevin Shanahan. Thanks. all/###-libpt_time_struct.patch

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  3 Nov 2004 22:40:26 -0500

iptables (1.2.11-4) unstable; urgency=medium

  * Closes: #219686, CAN-2004-0986, modprobe load error, reported by
    Faheem Mitha, fixed by upstream. Thanks. (modprobe.patch)
  * added missing upstream changelogs 

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 31 Oct 2004 18:56:52 -0500

iptables (1.2.11-2) unstable; urgency=low

  * Closes: #263154, upstream fix, corrects segfault on hostnames that 
    resolve to multiple IPs. Reported by guillot. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Tue,  3 Aug 2004 22:09:55 -0400

iptables (1.2.11-1) unstable; urgency=low

  * new upstream release
    * Closes: #256975, new upstream release
    * Closes: #229892, include man page additions for new extensions
    * Closes: #248605: iptables CONNMARK update
    * Closes: #218837: corrects limit module for sparc64
    * obviates minor_buffer_overflows.patch and 64_32.patch

 -- Laurence J. Lane <ljlane@debian.org>  Fri,  9 Jul 2004 01:04:58 -0400

## iptables 1.2.11-8osso1

=== debian/changelog ===
iptables (1.2.11-8osso1) unstable; urgency=low

  * remove IPv6 related stuff, all unused targets and matches
  * support for thumb

 -- Timo Teräs <timo.teras@nokia.com>  Mon, 22 May 2006 16:36:21 +0300

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 MANDIR = MANDIR=/usr/share/man
 BINDIR = BINDIR=/sbin
 LIBDIR = LIBDIR=/lib
-DESTDIR := DESTDIR=$(CURDIR)/debian/iptables
+DESTDIR := DESTDIR=$(CURDIR)/debian/tmp
 KERNEL_DIR := KERNEL_DIR=$(BUILD_DIR)/$(KERNEL)
 
 BUILD_VARS := $(LIBDIR) $(KERNEL_DIR)
@@ -57,7 +57,7 @@
 	dh_testdir
 	dh_testroot
 
-	$(MAKE) -C $(SRC_DIR) install $(INSTALL_VARS)
+#	$(MAKE) -C $(SRC_DIR) install $(INSTALL_VARS)
 	rm -rf $(SRC_DIR)/include/libipulog
 	install -m0644 -D $(CURDIR)/debian/iptables.lintian.override \
 	$(CURDIR)/debian/iptables/usr/share/lintian/overrides/iptables
@@ -68,9 +68,9 @@
 	dh_testdir
 	dh_testroot
 	dh_install
-	dh_installdocs
-	dh_installexamples
-	dh_installchangelogs
+#	dh_installdocs
+#	dh_installexamples
+#	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms

## iptables 1.2.11-10

=== Makefile ===
#!/usr/bin/make

IPSET_VERSION:=v1.0
IPSET_LIB_DIR:=$(DESTDIR)$(LIBDIR)/ipset
#IPSET_LIB_DIR:=.
#CFLAGS:=-I$(KERNEL_DIR)/include

SETTYPES:=ipmap portmap macipmap iphash

EXTRAS+=$(shell [ -f $(KERNEL_DIR)/include/linux/netfilter_ipv4/ip_set.h ] && echo ipset/ipset)
EXTRAS+=$(foreach T, $(SETTYPES),ipset/libipset_$(T).so)
EXTRA_INSTALLS+=$(DESTDIR)$(BINDIR)/ipset $(DESTDIR)$(MANDIR)/man8/ipset.8
EXTRA_INSTALLS+=$(foreach T, $(SETTYPES), $(DESTDIR)$(LIBDIR)/ipset/libipset_$(T).so)

ifndef TOPLEVEL_INCLUDED
local:
	cd .. && $(MAKE) $(KERN_TARGETS) $(SHARED_LIBS) $(EXTRAS)

else
EXTRA_DEPENDS+=$(shell [ -f $(KERNEL_DIR)/include/linux/netfilter_ipv4/ip_set.h ] && echo "")
CFLAGS+=-DIPSET_VERSION=$(IPSET_VERSION) -DIPSET_LIB_DIR=\"$(IPSET_LIB_DIR)\"

#The ipset(8) self
ipset/ipset.o: ipset/ipset.c
	$(CC) $(CFLAGS) -g -c -o $@ $<

ipset/ipset: ipset/ipset.o
	$(CC) $(CFLAGS) -ldl -rdynamic -o $@ $^

#Pooltypes
ipset/ipset_%.o: ipset/ipset_%.c
	$(CC) $(CFLAGS) -c -o $@ $<

ipset/libipset_%.so: ipset/ipset_%.o
	$(LD) -shared -o $@ $<

$(DESTDIR)$(LIBDIR)/ipset/libipset_%.so: ipset/libipset_%.so
	@[ -d $(DESTDIR)$(LIBDIR)/ipset ] || mkdir -p $(DESTDIR)$(LIBDIR)/ipset
	cp $< $@

$(DESTDIR)$(BINDIR)/ipset: ipset/ipset
	@[ -d $(DESTDIR)$(BINDIR) ] || mkdir -p $(DESTDIR)$(BINDIR)
	cp $< $@

$(DESTDIR)$(MANDIR)/man8/ipset.8: ipset/ipset.8
	@[ -d $(DESTDIR)$(MANDIR)/man8 ] || mkdir -p $(DESTDIR)$(MANDIR)/man8
	cp $< $@
endif

=== debian/changelog ===
iptables (1.2.11-10) unstable; urgency=medium

  * fixed scripts/prep.sh: patching and patch ordering
  * fixed a bashism reported by Geller Sandor in Bug#283822. Thanks.

 -- Laurence J. Lane <ljlane@debian.org>  Wed,  1 Dec 2004 19:11:34 -0500

iptables (1.2.11-9) unstable; urgency=medium                                                                                      
                                                                                                                                  
  * another prep.sh tweak for patch ordering                                                                                      
  * Bug#283721, Policy match save code puts in line feed that makes                                                               
    iptables-restore error, reported and fixed by Matthew Grant. Thanks.                                                          
                                                                                                                                  
 -- Laurence J. Lane <ljlane@debian.org>  Tue, 30 Nov 2004 23:04:01 -0500                                                         

=== debian/control ===
Source: iptables
Section: net
Priority: important
Maintainer: Laurence J. Lane <ljlane@debian.org>
Build-Depends: debhelper (>>4.0), linuxdoc-tools, html2text, bzip2
Standards-Version: 3.5.6.0

Package: iptables
Architecture: any
Priority: important
Suggests: ipmasq, iproute
Section: net
Depends: ${shlibs:Depends}
Description: Linux kernel 2.4+ iptables administration tools
 netfilter and iptables provide a Linux kernel framework for
 stateful and stateless packet filtering, network and port addresss
 translation, and other IP packet manipulation. The framework is the
 successor to ipchains.
 .
 netfilter and iptables are used in applications such as Internet
 connection sharing, firewalls, IP accounting, transparent proxying,
 advanced routing and traffic control.
 .
 iptables web site: http://www.iptables.org/

Package: iptables-dev
Architecture: any
Priority: optional
Depends: iptables
Section: devel
Description: development files for iptable's libipq and libiptc
 Header files, static libs and documentation for libipq (iptables 
 user-space packet queuing library) and libiptc.

## iptables 1.3.1-2ubuntu1

=== debian/changelog ===
iptables (1.3.1-2ubuntu1) breezy; urgency=low

  * Drop ip_queue_vwmark from patch-o-matic-ng-20050618 tarball and ippool:
    - These extensions require kernel patches that are not part of the
      stock kernel.
  * Switch to use linux-kernel-headers instead of local copy of
    kernel-headers:
    - Add patches/all/003-no-local-kernel-headers.patch to cope with a missing
      define.
    - Change debian/rules KERNEL_DIR to point to /usr/include.
    - Add build-dep on linux-kernel-headers (>= 2.6.11.2-0ubuntu10) to ensure
      we have recent enough headers to build.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 12 Jul 2005 07:37:51 +0200

iptables (1.3.1-2) unstable; urgency=low

  * added missing 2.6.12 kernel headers
  * added libip6t_physdev.c to weird_spelling.patch
  * added libip6t_physdev.c to weird_character.patch
  * updated README.Debian, removed dead firewall package names
    and added a disclaimer about such packages, closes: #307934
  * removed iptables-dev's build dependency on iptables, closes: #288193

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 19 Jun 2005 19:15:36 -0400

iptables (1.3.1-1) unstable; urgency=low

  * New upstream release, closes: #299638
  * build with 2.6.12 kernel source and patch-o-matic-ng-20050618
  * hashlimit module added upstream, closes: #312374
  * removed example ppp scripts, closes: #287346

 -- Laurence J. Lane <ljlane@debian.org>  Sat, 18 Jun 2005 20:45:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: important
 Maintainer: Laurence J. Lane <ljlane@debian.org>
-Build-Depends: debhelper (>>4.0), linuxdoc-tools, html2text, bzip2
+Build-Depends: debhelper (>>4.0), linuxdoc-tools, html2text, bzip2, linux-kernel-headers (>= 2.6.11.2-0ubuntu10)
 Standards-Version: 3.5.6.0
 
 Package: iptables
@@ -26,7 +26,7 @@
 Package: iptables-dev
 Architecture: any
 Priority: optional
-Depends: iptables
+Depends: 
 Section: devel
 Description: development files for iptable's libipq and libiptc
  Header files, static libs and documentation for libipq (iptables

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,9 @@
 MANDIR = MANDIR=/usr/share/man
 BINDIR = BINDIR=/sbin
 LIBDIR = LIBDIR=/lib
-DESTDIR := DESTDIR=$(CURDIR)/debian/tmp
-KERNEL_DIR := KERNEL_DIR=$(BUILD_DIR)/$(KERNEL)
+DESTDIR := DESTDIR=$(CURDIR)/debian/iptables
+#KERNEL_DIR := KERNEL_DIR=$(BUILD_DIR)/$(KERNEL)
+KERNEL_DIR := KERNEL_DIR=/usr/include
 
 BUILD_VARS := $(LIBDIR) $(KERNEL_DIR)
 INSTALL_VARS := $(DESTDIR) $(MANDIR) $(LIBDIR) $(BINDIR) $(KERNEL_DIR)
@@ -57,7 +58,7 @@
 	dh_testdir
 	dh_testroot
 
-#	$(MAKE) -C $(SRC_DIR) install $(INSTALL_VARS)
+	$(MAKE) -C $(SRC_DIR) install $(INSTALL_VARS)
 	rm -rf $(SRC_DIR)/include/libipulog
 	install -m0644 -D $(CURDIR)/debian/iptables.lintian.override \
 	$(CURDIR)/debian/iptables/usr/share/lintian/overrides/iptables
@@ -68,9 +69,9 @@
 	dh_testdir
 	dh_testroot
 	dh_install
-#	dh_installdocs
-#	dh_installexamples
-#	dh_installchangelogs
+	dh_installdocs
+	dh_installexamples
+	dh_installchangelogs
 	dh_strip
 	dh_compress
 	dh_fixperms

## iptables 1.3.1-2ubuntu1.1

=== debian/changelog ===
iptables (1.3.1-2ubuntu1.1) breezy-updates; urgency=low

  * Fix variable KERNEL_DIR. It is just '/usr'. not '/usr/include'.
    This reenables nearly all extension modules (Ubuntu: #19978)

 -- Reinhard Tartler <siretart@ubuntu.com>  Wed, 23 Nov 2005 22:11:42 +0100

## iptables 1.3.3-2ubuntu4

=== nf_conntrack/linux-2.6/net/netfilter/Makefile ===
nf_conntrack-objs	:= nf_conntrack_core.o nf_conntrack_standalone.o nf_conntrack_l3proto_generic.o nf_conntrack_proto_generic.o nf_conntrack_proto_tcp.o nf_conntrack_proto_udp.o

obj-$(CONFIG_NF_CONNTRACK) += nf_conntrack.o
obj-$(CONFIG_NF_CONNTRACK_FTP) += nf_conntrack_ftp.o

# SCTP protocol connection tracking
obj-$(CONFIG_NF_CT_PROTO_SCTP) += nf_conntrack_proto_sctp.o

=== debian/changelog ===
iptables (1.3.3-2ubuntu4) dapper; urgency=low

  * Took references to 2.4 kernel out of  doc-base control files 
    (closes:Malone #25972) 

 -- Jordan Mantha <mantha@ubuntu.com>  Fri, 17 Mar 2006 04:13:06 -0800

iptables (1.3.3-2ubuntu3) dapper; urgency=low

  * Fix variable KERNEL_DIR. It is just '/usr'. not '/usr/include'. 
    This reenables nearly all extension modules (Ubuntu: #19978)

 -- Reinhard Tartler <siretart@ubuntu.com>  Wed, 23 Nov 2005 19:10:47 +0000

iptables (1.3.3-2ubuntu2) dapper; urgency=low

  * fixed borked merge. MoM does not deal with binary changes in debdiffs

 -- Reinhard Tartler <siretart@ubuntu.com>  Wed, 23 Nov 2005 10:16:49 +0100

iptables (1.3.3-2ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 08 Nov 2005 07:29:09 +0000

iptables (1.3.3-2) unstable; urgency=low

  * added pomng exclude hack to prep.sh
  * excluded pomng's ip_queue_vwmark. Thanks ubuntu.
  * updated README.Debian
  * removed Suggests for ipmasq

 -- Laurence J. Lane <ljlane@debian.org>  Sat,  6 Aug 2005 18:01:31 -0400

iptables (1.3.3-1) unstable; urgency=low

  * New upstream release 

 -- Laurence J. Lane <ljlane@debian.org>  Thu,  4 Aug 2005 22:08:27 -0400

iptables (1.3.2-1) unstable; urgency=low

  * New upstream release
  * removed libipt_physdev.c and libip6t_physdev.c from weird_*.patch

 -- Laurence J. Lane <ljlane@debian.org>  Sun, 24 Jul 2005 21:03:39 -0400

## iptables 1.3.3-2ubuntu4.1

=== nfnetlink/linux-2.6/net/netfilter/Makefile ===
obj-$(CONFIG_NETFILTER_NETLINK) += nfnetlink.o

=== debian/changelog ===
iptables (1.3.3-2ubuntu4.1) dapper-proposed; urgency=low

  * patches/all/090_enable-ipv6-rt.patch: enable "rt" module to enhance
    ip6tables matching capabilities. (LP: #114184)

 -- Kees Cook <kees@ubuntu.com>  Wed, 04 Jul 2007 17:42:08 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: iptables
 Architecture: any
 Priority: important
-Suggests: ipmasq, iproute
+Suggests: iproute
 Section: net
 Depends: ${shlibs:Depends}
 Description: Linux kernel 2.4+ iptables administration tools

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 LIBDIR = LIBDIR=/lib
 DESTDIR := DESTDIR=$(CURDIR)/debian/iptables
 #KERNEL_DIR := KERNEL_DIR=$(BUILD_DIR)/$(KERNEL)
-KERNEL_DIR := KERNEL_DIR=/usr/include
+KERNEL_DIR := KERNEL_DIR=/usr
 
 BUILD_VARS := $(LIBDIR) $(KERNEL_DIR)
 INSTALL_VARS := $(DESTDIR) $(MANDIR) $(LIBDIR) $(BINDIR) $(KERNEL_DIR)

## iptables 1.3.6.0debian1

=== Makefile ===
SHELL := /bin/bash
SHELL := /bin/posh
SHELL := /bin/dash
SHELL := /bin/sh

default:
	@echo 'iptables 1.3.6'
	@echo 'Linux 2.6.18'
	@echo 'patch-o-matic 20061021'

prep howtos build clean install binary-indep binary-arch binary:
	$(MAKE) -f $(CURDIR)/debian/rules $@

.PHONY: prep howtos clean binary build packitup
